MISSINdevelopersLog in

API reference

SearchPlacementTargets

Search a store connection's products or collections to target with a discount. Read access, discounts toolset, MCP tool search_placement_targets.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
connectionIdUUID!yes
kindPlacementTargetType!yesOne of COLLECTION, PRICE, PRODUCT
queryString!yes

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SearchPlacementTargets","variables":{"connectionId":"00000000-0000-0000-0000-000000000000","kind":"COLLECTION","query":"…"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"3678015ba22b9734409da188cceb623988a32eb73bba4937b445de4a65501d53"}}}'

Document

graphql
query SearchPlacementTargets($connectionId: UUID!, $kind: PlacementTargetType!, $query: String!) { __typename searchPlacementTargets(connectionId: $connectionId, kind: $kind, query: $query) { __typename results { __typename amount currencyCode externalId imageUrl subtitle title } userErrors { __typename code field message } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.